wibble::net::Server Struct Reference

Generic bind/listen/accept internet server. More...

`#include <server.h>`

Inheritance diagram for wibble::net::Server:
[legend]

## Public Member Functions

| Server ()
| ~Server ()
void | bind (const char *port, const char *host=NULL)
void | listen (int backlog=16)
void | set_sock_cloexec ()

## Public Attributes

std::string | host
std::string | port
int | socktype
int | sock
struct sigaction * | old_signal_actions
struct sigaction * | signal_actions

## Detailed Description

Generic bind/listen/accept internet server.

## Constructor & Destructor Documentation

wibble::net::Server::Server | ( |  | ) |

wibble::net::Server::~Server | ( |  | ) |

## Member Function Documentation

void wibble::net::Server::bind | ( | const char * | port,
|  | const char * | host = `NULL`
| ) |  |

void wibble::net::Server::listen | ( | int | backlog = `16` | ) |

void wibble::net::Server::set_sock_cloexec | ( |  | ) |

## Member Data Documentation

std::string wibble::net::Server::host

struct sigaction* wibble::net::Server::old_signal_actions

std::string wibble::net::Server::port

struct sigaction* wibble::net::Server::signal_actions

int wibble::net::Server::sock

int wibble::net::Server::socktype

The documentation for this struct was generated from the following file:

- server.h